#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# BlurFilter Class

Extends AbstractFilter
Defined in: `src/pixi/filters/BlurFilter.js:5`
Module: PIXI

The BlurFilter applies a Gaussian blur to an object. The strength of the blur can be set for x- and y-axis separately (always relative to the stage).

## Constructor

### `BlurFilter`

()

Defined in `src/pixi/filters/BlurFilter.js:5`

- Index
- Methods
- Properties

## Item Index

### Methods

- syncUniforms

### Properties

- blur
- blurX
- blurY
- dirty
- fragmentSrc
- padding
- passes
- shaders
- uniforms

## Methods

### `syncUniforms`

()

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:60`

Syncs the uniforms between the class object and the shaders.

## Properties

### `blur`

Number the strength of the blur

Defined in `src/pixi/filters/BlurFilter.js:24`

Sets the strength of both the blurX and blurY properties simultaneously

Default: 2

### `blurX`

Number the strength of the blurX

Defined in `src/pixi/filters/BlurFilter.js:40`

Sets the strength of the blurX property

Default: 2

### `blurY`

Number the strength of the blurY

Defined in `src/pixi/filters/BlurFilter.js:56`

Sets the strength of the blurY property

Default: 2

### `dirty`

Boolean

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:31`

### `fragmentSrc`

Array private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:50`

### `padding`

Number

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:37`

### `passes`

Array an array of filter objects private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:15`

An array of passes - some filters contain a few steps this array simply stores the steps in a liniear fashion. For example the blur filter has two passes blurX and blurY.

### `shaders`

Array an array of shaders private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:24`

### `uniforms`

Object private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:43`